<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Easy2Track</title>
    <link href="../pbcdn/css/spinner.css?v=[cs_version]" rel="stylesheet">
    <link rel="stylesheet" href="../pbcdn/css/bootstrap.min.css">
    <link rel="stylesheet" href="../pbcdn/css/font-awesome.min.css">

    <link href="../pbcdn/vendor/semanticui/semantic.min.css?v=[cs_version]" rel="stylesheet">
    <link href="./css/base.css?v=[cs_version]" rel="stylesheet">
    <link href="./css/app.css?v=[cs_version]" rel="stylesheet">
</head>
<body>
<div id="spinner">
    <div class="loader">
        <div class="face">
            <div class="circle"></div>
        </div>
        <div class="face">
            <div class="circle"></div>
        </div>
        <div id="spinner_message">
            System wird geladen...
        </div>
    </div>
</div>
<div id="foobar" class="ui sidebar inverted vertical menu">

</div>
<div class="pusher">
    <!-- Site content !-->
    <nav class="navbar navbar-expand-md navbar-dark bg-dark mb-3">
        <div class="container-fluid">
            <a href="#" class="navbar-brand mr-3">Serviceblick Easy2Track</a>
            <button type="button" class="navbar-toggler" data-toggle="collapse" data-target="#navbarCollapse">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarCollapse">
                <div class="navbar-nav">

                </div>
                <div class="navbar-nav ml-auto">
                    <a href="#" onclick="logout();return false;" class="nav-item nav-link">Abmelden</a>
                </div>
            </div>
        </div>
    </nav>

    <div class="">
        <div class="row">
            <div class="col-md-12 col-lg-12 col-xl-12 content_block" data-content="qrcode">
                <div class="row sub">
                    <div class="col-md-2 col-lg-2 col-xl-2 skyscraper_add_left">
                        <img class="ad_image" src=""/>
                    </div>
                    <div class="col-md-8 col-lg-8 col-xl-8">
                         <div class="ui segment" style="font-size:1.2em;">
                          <p>Bitte scanne mit Deinem Handy den folgenden QR-Code.<br/>
                              Dieser enthält einen Link zu einer Seite auf der du uns bitte Deine Email-Addresse
                              hinterlässt.<br/>
                              Wir benutzen diese ausschließlich um dich im Rahmen der Covid19 Kontaktverfolgung zu informieren falls, trotz aller Vorsichtsmaßnahmen, die Möglichkeit bestand das du in Kontakt mit einem Infizierten gekommen bist.<br/>
                              <br/>Da uns Datenschutz wichtig ist, wird deine Email-Addresse verschlüsselt gespeichert und wir haben ausschließlich im oben genannten Fall Zugriff.<br/>
                              Du kannst dir also sicher sein dass deine Email-Addresse nicht weitergegeben oder verkauft wird.<br/>
                              <br/>Vielen Dank für Deine Unterstützung im <a href="https://www.crowdsoft.net/kampfgegencorona/">#kampfgegencorona</a>
                          </p>
                        </div>
                        <br/>
                       <div id="qrcode"></div>
                        <div style="display:none;">
                            For Debug only: <div id="current_value"></div>
                            </div>

                        <a id="current_value_link" href="" target="_blank" style="display:none;">KLICK</a>
                    </div>
                    <div class="col-md-2 col-lg-2 col-xl-2 skyscraper_add_right">
                        <img class="ad_image" src=""/>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<hr>
<footer>
    <div class="row">
        <div class="col-md-6">
            <p>&copy; <script>document.write(new Date().getFullYear())</script> serviceBLICK by planBLICK GmbH</p>
        </div>
        <div class="col-md-6 text-md-right">
            <a href="https://impressum.planblick.com/" class="text-dark">Impressum</a>
            <span class="text-muted mx-2">|</span>
            <a href="https://datenschutz.planblick.com/" class="text-dark">Datenschutz</a>
        </div>
    </div>
</footer>
</div>
<video id="video" width="1920" height="1080" style="display:none;"></video>
<canvas id="canvasOutput" width="1920" height="1080" style="display:none;"></canvas>

<!-- Include jquery and init.js. All other includes will be handled in init.js -->
<script src="../pbcdn/vendor/jquery/jquery.min.js?v=[cs_version]"></script>
<script type="module">import {Init} from './js/init.js'; new Init().load();</script>
<script type="module">import {pb_events} from './js/events.js'; window.pb_events = new pb_events();</script>
<script type="module">import {qrcode} from './js/qrcode.js'; window.qrcode = qrcode;</script>
<script type="module">import {Account} from './pbcdn/account-api.js'; window.Account = Account;</script>

<script type="text/javascript">

function logout(){
    new Account().logout()
}

document.addEventListener("init_submodules", function (event) {
    new qrcode().init()
    loadAds()
});

document.addEventListener("qr_code_expired", function (event) {
    console.log(event.data.newcode)
    if(event.data.newcode) {
        new qrcode().new_qr_code(event.data.newcode)
    } else {
        new qrcode().new_qr_code()
    }
});

function loadAds() {
    var images = [
        "./images/ad-example1.png",
        "./images/ad-example2.png",
        "./images/ad-example3.png",
    ]

    $(".ad_image").each(function( index ) {
        //$(this).fadeOut(500, function() {
            //$(this).attr("src",images[Math.floor(Math.random()*images.length)]);
            //$(this).fadeIn(500);
        //});
    });


}
window.setInterval(loadAds, 20000)
</script>
<div id="news_modal" class="ui basic modal news">
  <div class="header">Neuigkeiten<i href="#" onclick="$('#news_modal').modal('hide');return false;" class="close icon news_close" title="News schließen"></i></div>
  <div id="news_container" class="content">
  </div>
    <div>keine weiteren News</div>
</div>
<div id="login_modal" class="ui basic modal login" style="text-align:center;">
  <div class="header">Login benötigt</div>
  <div id="login_container" class="content">
    <div class="ui labeled input">
      <div class="ui label">
        Benutzer:
      </div>
      <input id="login" type="text" placeholder="">
    </div>
    <div class="ui labeled input">
      <div class="ui label">
        Password:
      </div>
      <input id="password" type="password" placeholder="">
    </div>
    <button class="ui button" onclick="new Account().getapikey(function() {location.reload();});">
      Anmelden
    </button>
      <button class="ui inverted green button" onclick="location.href='./registrieren.html'">Jetzt Registrieren</button>
      <br/><br/>
    <video controls id="explain_video" style="width:75%;">
      <source src="Easy2Track_QuickExplain.mp4" type="video/mp4">
      <source src="Easy2Track_QuickExplain.ogg" type="video/ogg">
    Your browser does not support the video tag.
    </video>
    <br/>
    <button class="ui inverted green button" onclick="location.href='./registrieren.html'" style="font-size:1.5rem;margin-top: 10px;">Jetzt Registrieren</button><br/>

      <div class="ui inverted segment">
Schneller Check-In beim Empfang Ihrer Gäste - einfach und sicher organisiert.<br/>
Ihre Gäste geben über ihr SmartPhone die notwendigen Kontaktdaten ein. Diese werden verschlüsselt gespeichert - ein direkter Zugriff ist nicht möglich. Nach Ablauf der Aufbewahrungsfrist (vier Wochen) werden die Daten automatisch gelöscht. Nur im Ernstfall können die relevanten Kontaktdaten kennwortgeschützt weitergeleitet werden.<br/>
Sie als Geschäftsinhaber haben keinerlei Administration!<br/><br/>
                <div>
        <a href="https://impressum.planblick.com/" class="text-dark">Impressum</a>
        <span class="text-muted mx-2">|</span>
        <a href="https://datenschutz.planblick.com/" class="text-dark">Datenschutz</a>
    </div>
    <div>Easy2Track - powered by Crowdsoft.net | planBLICK GmbH</div>
      </div>
  </div>
</div>
</body>
</html>